#!/bin/sh

mkdir tmp
cd tmp
mkdir -- ' a'
mkdir -- '-b'
mkdir -- '-c   

'
touch -- ' a/-d'
touch -- '-b/$\%")'
cd ..

../lumia.pl addnew tmp | sort
../lumia.pl check tmp | sort
cat 'tmp/ a/.lumidify_archive_cksums' | sort
../lumia.pl rm 'tmp/ a/-d'
cat 'tmp/ a/.lumidify_archive_cksums' | sort
../lumia.pl check tmp/-b | sort
../lumia.pl check tmp | sort
cd tmp
../../lumia.pl cp -- -b -e
../../lumia.pl check | sort
# this is sent to /dev/null because Perl produces a
# warning (see BUGS in the perldoc) which shows the
# line number and thus would change frequently
../../lumia.pl mv -- '-c   

' '-f' > /dev/null 2>&1
../../lumia.pl check | sort

cd ..
rm -rf tmp
